Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class CompilingStylesheetProcessor

    java.lang.Object
      |
      +--org.apache.trax.Processor
            |
            +--org.apache.xalan.processor.StylesheetProcessor
                  |
                  +--org.apache.xalan.processor.CompilingStylesheetProcessor

public class CompilingStylesheetProcessor
extends StylesheetProcessor

The StylesheetProcessor, which implements the TRaX Processor interface, processes XSLT Stylesheets into a Templates object. This version has been modified to kick off conversion to JAVA, via CompilingStylesheetHandler

Fields inherited from class org.apache.xalan.processor.StylesheetProcessor
`XSLT_PROPERTIES`

Fields inherited from class org.apache.trax.Processor
`PropertiesResource`

Constructor Summary
`CompilingStylesheetProcessor()`

Method Summary
`TemplatesBuilder` | `getTemplatesBuilder()` Get a TemplatesBuilder object that can process SAX events into a Templates object, if the processor supports the "http://xml.org/trax/features/sax/input" feature.

Methods inherited from class org.apache.xalan.processor.StylesheetProcessor
`getAssociatedStylesheets, getFeature, process, processFromNode, processFromNode, processMultiple`

Methods inherited from class org.apache.trax.Processor
`getEntityResolver, getErrorHandler, getURIResolver, getXMLReader, newInstance, setEntityResolver, setErrorHandler, setFeature, setPlatformDefaultProcessor, setURIResolver, setXMLReader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilingStylesheetProcessor

    public CompilingStylesheetProcessor()

Method Detail

### getTemplatesBuilder

    public TemplatesBuilder getTemplatesBuilder()
                                         throws ProcessorException

  Get a TemplatesBuilder object that can process SAX events into a Templates object, if the processor supports the "http://xml.org/trax/features/sax/input" feature.

  ### Open issues:

  #### Should Processor derive from org.xml.sax.ContentHandler?

    Instead of requesting an object from the Processor class, should the Processor class simply derive from org.xml.sax.ContentHandler?
  Returns:
    A TemplatesBuilder object, or null if not supported.
  Throws:
    May - throw a ProcessorException if a StylesheetHandler can not be constructed for some reason.
  Overrides:
    getTemplatesBuilder in class StylesheetProcessor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.